#!/bin/sh
set -eu

clipctl disable

choice="$(
	find ~/.password-store/ -type f -name '*.gpg'          |
		sed -e "s|^$HOME/.password-store/||" -e 's/\.gpg$//' |
		LANG=POSIX.UTF-8 sort                                |
		dmenu -l 20 -i -p 'Pass: ' -fn Monospace-18
)"

if [ -n "$choice" ]; then
	pass show -c "$choice"
fi

clipctl enable
